package com.liang.common.utils;

import org.apache.poi.ss.formula.functions.T;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author ly
 * @Date 2024/6/6 9:49
 * @Verion 1.0
 */
public class LsUtils {
    public static   <T> List<T> findDifferentElements(List<T> list1, List<T> list2) {
        List<T> differentElements = new ArrayList<>();

        // 查找 list1 中不在 list2 中的元素
        for (T element : list1) {
            if (!list2.contains(element)) {
                differentElements.add(element);
            }
        }

        return differentElements;
    }
}
